com.lowagie.text.pdf

## Interface FontMapper

- All Known Implementing Classes:
    AsianFontMapper, DefaultFontMapper

      public interface FontMapper

  A FontMapper implementation handles mappings between AWT Fonts and PDF fonts. An interface is used instead of a fixed class because there isn't an exact correlation between the font types, so each application is free to define a mapping which is appropriate for it.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseFont` | `awtToPdf(java.awt.Font font)` Returns a BaseFont which can be used to represent the given AWT Font
    `java.awt.Font` | `pdfToAwt(BaseFont font, int size)` Returns an AWT Font which can be used to represent the given BaseFont

- - ### Method Detail

    - #### awtToPdf

          BaseFont awtToPdf(java.awt.Font font)

      Returns a BaseFont which can be used to represent the given AWT Font
      Parameters:
        `font` - the font to be converted
      Returns:
        a BaseFont which has similar properties to the provided Font

    - #### pdfToAwt

          java.awt.Font pdfToAwt(BaseFont font,
                               int size)

      Returns an AWT Font which can be used to represent the given BaseFont
      Parameters:
        `font` - the font to be converted
        `size` - the desired point size of the resulting font
      Returns:
        a Font which has similar properties to the provided BaseFont